# Created by pyp2rpm-3.3.8
%global pypi_name pytest-regressions
%global srcname pytest_regressions

%bcond_without docs

Name:           python-%{pypi_name}
Version:        2.7.0
Release:        %mkrel 2
Summary:        Easy to use fixtures to write regression tests
Group:          Development/Python
License:        MIT
URL:            https://github.com/ESSS/pytest-regressions
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
This plugin makes it simple to test general data, images, files, and numeric
tables by saving expected data in a data directory (courtesy of pytest-datadir)
that can be used to verify that future runs produce the same data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This plugin makes it simple to test general data, images, files, and numeric
tables by saving expected data in a data directory (courtesy of pytest-datadir)
that can be used to verify that future runs produce the same data.

%pyproject_extras_subpkg -n python3-%{pypi_name} num image dataframe

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files pytest_regressions

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.7.0-2.mga10
+ Revision: 2236270
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 2.7.0-1.mga10
+ Revision: 2150733
- new version 2.7.0
- add num, image, and dataframe extras subpkgs
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 2.5.0-1.mga10
+ Revision: 2077786
- new version 2.5.0

* Fri Dec 08 2023 wally <wally> 2.4.2-2.mga10
+ Revision: 2015695
- rebuild for py3.12

* Sun Jan 15 2023 wally <wally> 2.4.2-1.mga9
+ Revision: 1933435
- new version 2.4.2

* Fri Jan 06 2023 wally <wally> 2.4.1-2.mga9
+ Revision: 1930621
- fix python3dist version info

* Sun Dec 04 2022 wally <wally> 2.4.1-1.mga9
+ Revision: 1917748
- new version 2.4.1

* Wed Aug 10 2022 wally <wally> 2.3.1-1.mga9
+ Revision: 1876661
- imported package python-pytest-regressions

